curl --request GET \
--url https://api.leadping.ai/analytics/myimport requests
url = "https://api.leadping.ai/analytics/my"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/analytics/my");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/analytics/my")
.asString();const options = {method: 'GET'};
fetch('https://api.leadping.ai/analytics/my', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/analytics/my"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/analytics/my",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"range": {
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z"
},
"summary": {
"leads": "<string>",
"leadsComparison": {
"current": "<string>",
"previous": "<string>",
"changePercent": "<string>",
"direction": "<string>"
},
"averageResponseMinutes": "<string>",
"medianResponseMinutes": "<string>",
"respondedWithinFiveMinutesPercent": "<string>",
"missedLeads": "<string>",
"unreadMessages": "<string>",
"missedCalls": "<string>",
"smsSent": "<string>",
"smsReceived": "<string>",
"callsPlaced": "<string>",
"callsReceived": "<string>",
"callMinutes": "<string>",
"usageSpend": "<string>",
"walletBalance": "<string>",
"billingStatus": "<string>",
"walletStatus": "<string>"
},
"leadTrend": {
"total": "<string>",
"comparison": {
"current": "<string>",
"previous": "<string>",
"changePercent": "<string>",
"direction": "<string>"
},
"points": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": "<string>"
}
]
},
"responseMetrics": {
"averageMinutes": "<string>",
"medianMinutes": "<string>",
"respondedWithinFiveMinutesPercent": "<string>",
"respondedLeads": "<string>",
"unrespondedLeads": "<string>",
"unreadMessages": "<string>",
"missedCalls": "<string>",
"averageMinutesTrend": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"value": "<string>"
}
]
},
"communicationUsage": {
"smsSent": "<string>",
"smsReceived": "<string>",
"failedOrBlockedSms": "<string>",
"callsPlaced": "<string>",
"callsReceived": "<string>",
"answeredCalls": "<string>",
"missedCalls": "<string>",
"callMinutes": "<string>",
"usageSpend": "<string>",
"trend": [
{
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"smsSent": "<string>",
"smsReceived": "<string>",
"calls": "<string>",
"callMinutes": "<string>",
"spend": "<string>"
}
]
},
"leadSources": [
{
"source": "<string>",
"leads": "<string>",
"percent": "<string>"
}
],
"automationHealth": {
"automationCount": "<string>",
"enabledCount": "<string>",
"executions": "<string>",
"successCount": "<string>",
"failureCount": "<string>",
"lastFailure": {
"automationId": "<string>",
"name": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"error": "<string>"
},
"failingAutomations": [
{
"automationId": "<string>",
"name": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"error": "<string>"
}
]
},
"activationHealth": {
"overallStatus": "<string>",
"items": [
{
"key": "<string>",
"label": "<string>",
"status": "<string>",
"detail": "<string>",
"actionHref": "<string>"
}
]
},
"needsAttention": [
{
"severity": "<string>",
"title": "<string>",
"detail": "<string>",
"actionHref": "<string>",
"actionText": "<string>"
}
],
"generatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Get business lead communication analytics
Returns current-business analytics for lead communication, including event volume, response metrics, and date-range filtering.
Query Parameters
^-?(?:0|[1-9]\d*)$Response
OK
Response model containing customer analytics data returned by the Leadping API.
Range associated with this Leadping customer analytics.
Show child attributes
Show child attributes
Human-readable summary for this Leadping customer analytics.
Show child attributes
Show child attributes
Lead trend associated with this Leadping customer analytics.
Show child attributes
Show child attributes
Response metrics associated with this Leadping customer analytics.
Show child attributes
Show child attributes
Communication usage associated with this Leadping customer analytics.
Show child attributes
Show child attributes
Collection of lead sources included with this Leadping customer analytics.
Show child attributes
Show child attributes
Automation health associated with this Leadping customer analytics.
Show child attributes
Show child attributes
Activation health associated with this Leadping customer analytics.
Show child attributes
Show child attributes
Date and time when this Leadping customer analytics was needs attention.
Show child attributes
Show child attributes
Date and time when this Leadping customer analytics was generated.

